# Type alias Action

Action: {
configFields?: (({ table, mode, }) => Promise<FieldLike[]> | FieldLike[]);
description?: string;
disableInBuilder?: boolean;
disableInList?: boolean;
disableInWorkflow?: boolean;
namespace?: string;
run: (({ row, user, configuration, mode, table, }) => Promise<any>);
}

#### Type declaration

- ##### `Optional` configFields?: (({ table, mode, }) => Promise<FieldLike[]> | FieldLike[])

  - - ({ table, mode, }): Promise<FieldLike[]> | FieldLike[]

    - #### Parameters

      - ##### { table, mode, }: {
        mode: ActionMode;
        table: AbstractTable;
        }

        - ##### mode: ActionMode

        - ##### table: AbstractTable

      #### Returns Promise<FieldLike[]> | FieldLike[]

- ##### `Optional` description?: string

- ##### `Optional` disableInBuilder?: boolean

- ##### `Optional` disableInList?: boolean

- ##### `Optional` disableInWorkflow?: boolean

- ##### `Optional` namespace?: string

- ##### run: (({ row, user, configuration, mode, table, }) => Promise<any>)

  - - ({ row, user, configuration, mode, table, }): Promise<any>

    - #### Parameters

      - ##### { row, user, configuration, mode, table, }: {
        configuration?: Row;
        mode?: ActionMode;
        row?: Row;
        table?: AbstractTable;
        user?: AbstractUser;
        }

        - ##### `Optional` configuration?: Row

        - ##### `Optional` mode?: ActionMode

        - ##### `Optional` row?: Row

        - ##### `Optional` table?: AbstractTable

        - ##### `Optional` user?: AbstractUser

      #### Returns Promise<any>

- Defined in saltcorn-types/base_types.ts:216

Generated using TypeDoc